Bug 60980 - iptraf-2.4.0-5 doesn't log any IP traffic.
iptraf-2.4.0-5 doesn't log any IP traffic.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: iptraf (Show other bugs)
pensacola
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-11 03:10 EST by Peter H.S.
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-17 09:48:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter H.S. 2002-03-11 03:10:39 EST
Description of Problem:
iptraf-2.4.0-5 doesn't log any IP traffic. It gives a warning at startup:
"Warning: unable to tag this process
Press Enter to continue"

And another warning, when trying to capture traffic:
"Warning: unable to lock IP traffic monitor on eth0
Press a key to continue"

Only UDP and non-IP traffic (ARP etc) are captured, even when sniffing in promiscous mode.
Ethereal sniffs the traffic just fine.


Version-Release number of selected component (if applicable):
iptraf-2.4.0-5

How Reproducible:
always

Steps to Reproduce:
1. From console: "iptraf"
2. Select "IP traffic monitor" -> "eth0"
3. 

Actual Results:
Only non-IP traffic are captured. Iptraf issues several warnings.

Expected Results:
All traffic should be captured.

Additional Information:
Comment 1 Andreas J. Bathe 2002-03-14 21:03:21 EST
does my hint from #55243 help?

if yes I can't believe it that that old bug does still appear...

andreas
Comment 2 Peter H.S. 2002-03-17 09:48:37 EST
>does my hint from #55243 help?
>if yes I can't believe it that that old bug does still appear...
Yeps. That solves the problem. The version of iptraf used in penanscola is quite "old".


Note You need to log in before you can comment on or make changes to this bug.